GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
gdcm::Usage Class Reference

Usage. More...

`#include <gdcmUsage.h>`

## Public Types

enum | UsageType { Mandatory, Conditional, UserOption, Invalid }

## Public Member Functions

| Usage (UsageType type=Invalid)
| operator UsageType () const

## Static Public Member Functions

static const char * | GetUsageString (UsageType type)
static UsageType | GetUsageType (const char *type)

## Friends

std::ostream & | operator<< (std::ostream &os, const Usage &vr)

## Detailed Description

Usage.

Note
  A.1.3 IOD Module Table and Functional Group Macro Table This Section of each IOD defines in a tabular form the Modules comprising the IOD. The following information must be specified for each Module in the table:
  - The name of the Module or Functional Group
  - A reference to the Section in Annex C which defines the Module or Functional Group
  - The usage of the Module or Functional Group; whether it is:
  - Mandatory (see A.1.3.1) , abbreviated M
  - Conditional (see A.1.3.2) , abbreviated C
  - User Option (see A.1.3.3) , abbreviated U The Modules referenced are defined in Annex C. A.1.3.1 MANDATORY MODULES For each IOD, Mandatory Modules shall be supported per the definitions, semantics and requirements defined in Annex C.

A.1.3.2 CONDITIONAL MODULES Conditional Modules are Mandatory Modules if specific conditions are met. If the specified conditions are not met, this Module shall not be supported; that is, no information defined in that Module shall be sent. A.1.3.3 USER OPTION MODULES User Option Modules may or may not be supported. If an optional Module is supported, the Attribute Types specified in the Modules in Annex C shall be supported.

## Member Enumeration Documentation

enum gdcm::Usage::UsageType

Enumerator:

  Mandatory |
  Conditional |
  UserOption |
  Invalid |

## Constructor & Destructor Documentation

gdcm::Usage::Usage | ( | UsageType | type = `Invalid` | ) |

inline

## Member Function Documentation

static const char* gdcm::Usage::GetUsageString | ( | UsageType | type | ) |

static

Referenced by gdcm::operator<<().

static UsageType gdcm::Usage::GetUsageType | ( | const char * | type | ) |

static

gdcm::Usage::operator UsageType | ( |  | ) | const

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Usage & | vr
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmUsage.h